summaryrefslogtreecommitdiff
path: root/test/lib/test/unit/test-unit.gemspec
blob: 363fd50c02e22b00e97a1a9d61503e925cab68a5 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
# -*- ruby -*-

Gem::Specification.new do |s|
  s.name = "test-unit"
  s.version = "#{RUBY_VERSION}.0"
  s.homepage = "http://www.ruby-lang.org"
  s.author = "Shota Fukumori"
  s.email = "sorah@tubusu.net"
  s.summary = "test/unit compatible API testing framework"
  s.description =
    "This library implements test/unit compatible API on minitest. " +
    "The test/unit means that test/unit which was bundled with Ruby 1.8."
  s.executables = ["testrb"]

  # Ruby bundled test/unit is a compatibility layer for minitest,
  # and it doesn't have support for minitest 5.
  s.add_runtime_dependency "minitest", '< 5.0.0'
end